|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectcom.opensymphony.xwork2.ActionSupport
com.gisgraphy.webapp.action.SearchAction
com.gisgraphy.webapp.action.GeocodingByTextAction
public class GeocodingByTextAction
fulltext search Action
| Field Summary |
|---|
| Fields inherited from class com.gisgraphy.webapp.action.SearchAction |
|---|
DEFAULT_NUMBER_OF_RESULTS_PER_PAGE, errorMessage, POPUP_VIEW |
| Fields inherited from class com.opensymphony.xwork2.ActionSupport |
|---|
LOG |
| Fields inherited from interface com.opensymphony.xwork2.Action |
|---|
ERROR, INPUT, LOGIN, NONE, SUCCESS |
| Constructor Summary | |
|---|---|
GeocodingByTextAction()
|
|
| Method Summary | |
|---|---|
String |
getAddress()
|
com.gisgraphy.addressparser.AddressResultsDto |
getAddressResultsDto()
|
List<Country> |
getCountries()
|
String |
getCountry()
|
com.gisgraphy.serializer.common.OutputFormat[] |
getFormats()
|
String |
getStyle()
|
boolean |
isAutosubmit()
|
boolean |
isDisplayResults()
|
String |
search()
Execute a fulltextSearch from the request parameters |
String |
searchpopup()
Execute a fulltextSearch from the request parameters |
void |
setAdress(String address)
|
void |
setAutosubmit(boolean autosubmit)
|
void |
setCountry(String country)
|
void |
setCountryDao(CountryDao countryDao)
|
void |
setGeocodingService(com.gisgraphy.geocoding.IGeocodingService geocodingService)
|
| Methods inherited from class com.gisgraphy.webapp.action.SearchAction |
|---|
getDefaultNumberOfResultsPerPage, getErrorMessage, getFormat, getFrom, getPlacetypes, getTo, isAdvancedSearch, isIndent, setAdvancedSearch, setFormat, setFrom, setIndent, setTo |
| Methods inherited from class com.opensymphony.xwork2.ActionSupport |
|---|
addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, execute, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate |
| Methods inherited from class java.lang.Object |
|---|
equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public GeocodingByTextAction()
| Method Detail |
|---|
public boolean isDisplayResults()
public String search()
throws Exception
Exception - in case of errors
public String searchpopup()
throws Exception
Exception - in case of errorspublic List<Country> getCountries()
public com.gisgraphy.serializer.common.OutputFormat[] getFormats()
public void setCountry(String country)
country - the country parameter to setpublic void setAdress(String address)
address - the address to setpublic String getCountry()
public String getStyle()
public String getAddress()
public void setCountryDao(CountryDao countryDao)
countryDao - the countryDao to setpublic com.gisgraphy.addressparser.AddressResultsDto getAddressResultsDto()
public boolean isAutosubmit()
public void setAutosubmit(boolean autosubmit)
autosubmit - the autosubmit to setpublic void setGeocodingService(com.gisgraphy.geocoding.IGeocodingService geocodingService)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||